AutoCAD Inventor :: Change Browser Node Name In Drawing?
May 18, 2013
line of Inventor 2013 iLogic that can change the browser node name of an IDW?
Specifically, I'm only interested in changing this:
I know how it's set by default, but someone has managed to fix their template so it only ever shows "A3 template" in this field. consequently, this problem now persists throughout hundreds of drawings. If I can fix it with a line of iLogic, then the wickedly awesome CodeInjector can be used for fixing all the drawings.
I am trying to use the Browsernode.addchild method to add an occurence to an empty browser folder. The code fails at this point and I gett an error pointing to the line "Call oTargetNode.AddChild(oSourceNodeDef)". I can add the occurence with the browserpanes.Reorder method without issue if the folder is not empty. The code is pasted Below.
Format:HTML Format Version:1.0 StartHTML: 165 EndHTML: 29338 StartFragment: 314 EndFragment: 29306 StartSelection: 314 EndSelection: 314 SyntaxEditor Code Snippet DimPrcsTpAsStringPrcsTp=InputListBox("Process Type?", MultiValue.List("ProcessType"), Parameter("ProcessType"), Title :="Select Process Type", ListName :="Process Type")DimRtgNameAsStringRtgName=PrcsTp&"-"&Parameter("NoRtgsInc")+1MessageBox.Show(RtgName, "Title",MessageBoxButtons.OKCancel)DimoAsmAsAssemblyDocument=ThisDoc.DocumentDimoMatrixAsMatrix=ThisApplication.TransientGeometry.CreateMatrixDimoOccAsComponentOccurrenceoOcc=oAsm.ComponentDefinition.Occurrences.AddVirtual(RtgName, oMatrix)DimoCompDefVirtualAsVirtualComponentDefinition=oOcc.Definition'CREATE AND SET THE
I am attempting to rename a browser node. Here is the code I'm using and I'm getting a "Property 'Label' is 'ReadOnly'" error. In the API I found a note about using SetLabel() but that seems to only have ones for ClientMade browser nodes.
WHAT WERE they thinking when they created the Rename Browser Command. We had someone find out about it and really screw up a bunch of top level assy's. I'm having to WASTE WAY TOO much time fixing them, bringing them back to showing the modified descriptions in the Browser.
is it possible to rename the browser node on part level with an iLogic rule? I know that in the assembly environment is an Inventor OOTB functionality to rename the nodes to the filename, Part number or the default value.
Inventor Professional 2011 Windows 7 Enterprise 64bit Dell Precision M4500 Intel(R) Core(TM) i7 CPU Q 820 @ 1.73GHz 8 GB RAM
I opened the drawing and then from the drawing opened the model. In the drawing it is showing the 4th instance of ROUND CRS-032175 X 33 as an assembly. It also is not showing in the view and yet the visibility is checked. AI2012 SP2
I need to make installation plans on climate ceilings, which are steel cassettes with Meandro tube element located where cold or hot water is flowing through.
[URL]......
Now it may occur that a cassette is given a code 700 which represents the type of cassette. If inside the cassette is placed a Meandro element its become a follow number eg 700-01.
It may also be that the same cassette No. 700 gets another Meandro element and because the cassette has not changed shape the number 700 remains the same but the follow number change e.g. 700-02.
At the moment I change the number in the browser,(inv2012) I therefore want automatically the iproperties ,partnumber and stock number, to fit. When I go to the BOM, the part- and stock numbers automatically will be placed.
The browser codes are not displayed in the BOM. So if I specify for change I only have to do so in the browser. I wanted to do so by iLogic but then ran into problems. I found a tutorial from Rob Cohee with ilogic so you won’t forget to fill in your iproperties.
[URL].......
I also wanted to do so with the iproprtie Stock number but get an error stating that I must declare the name. How must i declare a name.
Also i was told for entering the browse name in ilogic i had to use displayName, but I get a error stating that the name is Read Only.
So how can i, after i change the browse name, automatically fill in the iproperties ‘part number and/or stock number? Is there an ilogic code for?
I want my browser name using iLogic particular change to the part number. I fill in my iproperties, the part number. Then the browser name has to take over the part number.
But i get an error.
doc = ThisDoc.Document Dim oCC As ComponentOccurrence For Each oCC In doc.ComponentDefinition.Occurrences OccName = oCC.Name oCC.Name = iProperties.Value("Project", "Part Number") Next
In Inventor Drawing Mode how to select the models in Browser tree using VBA, I think using selectset is not possible in my knowledge. Is there any other way to execute the selection .
I want to be able to have All Work Planes set as 'Invisible' but create a Message.box or Icon that allows me to change the Visibility of any individual workplane(s) physically selected in the browser.
A rule written by another member should do the trick if the following line could be altered so as not to read 'For Each' oWorkPlane but instead for 'Each Selected' oWorkplane.
'For Each oWorkPlane In docFile.ComponentDefinition.WorkPlanes'
'get user input oInput = InputRadioBox("Select workplane visibility:", _ "Turn ON workplanes for all components", "Turn OFF workplanes for all components", "False", "iLogic") 'Define the open document (top level assembly) Dim openDoc As Document openDoc = ThisDoc.Document
im using c3d 2012. whenever i'm drawing lines between nodes and i have my osnap set to node and it picks nodes but i have to be right on top of the node when i pick it so i'm having to zoom in and out a lot. in ldd i was able to hover anywhere over the point text and it still picked the node.
I have a spreadsheet and iLogic driven mater assy to generate different iterations.
I would like to change the scale of a base view on a drawing based on a parameter in my assembly. The idea is to get iLogic to change the view using a simple If / Else statement.
This is what I tried:
If Parameter("0 Generic Assembly v2.2.iam.BP") < 1570 Then ActiveSheet.View("VIEW1").Scale = 1/8 Else ActiveSheet.View("VIEW1").Scale = 1/10 EndIf
So basically the value of "BP" parameter (excel parameter in my assy) would drive the scale of the views. But its not working. Is it actually a sensible method? Can I use in the drawing environment the excel parameters in my assembly?
This is the error message I get when the rule is run:
"Error in rule: View Scale, in document: 0 Generic Assembly v2.2.idw
Unspecified error (Exception from HRESULT: 0x80004005 (E_FAIL))"
Also using the same thinking I use iLogic to populate the drg number field on the drawing based on an excel parameter. The rule works but does not always updates the drawing no upon the parameter change or update/rebuild commands.
We are having an issue when we replace a component in Inventor Pro 2012. When we replace a component, the name in the browser does not update to the new component. We've even tried to close and re-open the Inventor assembly and that does not work. We end up manual double clicking the name in the browser and type in the new component name.
Inventor Product Design Suite Ultimate 2012 Dell Precision T7500 Workstation Xeon Processor 16 GB of RAM Nvidia Quadro FX 5800 Windows 7 x64
what gives here with Corel's so-call Pen Tool. First there's almost NOTHING out there in terms of tutorials etc. Plenty about the Bezier tool but truly hardly anything about the Pen Tool
How on earth do you change the node's direction? This is SO frustrating! I just wanna control this *** but I can't. In Adobe PS it's simple, just hit ALT and you're back to 0 angle. In Corel I read somewhere that you double click the last node......yeah that ends it alright but when you go back to continue at a different angle it goes back to the same angle all over again so it's literally useless.
I seem to vaguely recall a method from some vector drawing program where you can press or hold ctrl or alt or shift and change the next type of node you will draw while using the bezier tool, or the pen tool, or the multi-line tool.
Is there any way to do this in 12, or use VBA to make it happen. I really just need to switch back and fourth between cusp and symmetrical.
I'm not sure what happened but all of a sudden when I try to open an existing drawing it no longer pops up a box to browse, it asks me in my command bar at the bottom to type in the name of the drawing. The same thing happens when I try to "save as" a drawing... How to get this back to normal?
Been wondering, if a part that I create, make a drawing for and save, can I take the part, save as, and then take the drawing, save as, and re-link the drawing to the newly 'saved as' IPT?
I am having issues with this. I create the part. I create the drawing. I add the part to the drawing. I make a modification to the part and then I select update(Lighting bolt) and NOTHING HAPPENS. Even when I did the local update.
I will review the rest of the thread tomorrow as I am leaving Inventor for today but this is bugging me!!
I can only see the change when I close the drawing and re-open it as of now.
note: When I do hit the update button it does shown the change for a split second then goes back to its previous state. Why does it not stay the new updated version? Inventor 2012
I'm on a project where I need to export displacement maps / normal maps from zBrush 4.0 to Softimage 2012.
Im using the "Multi Map Exporter" to export the maps out of zBrush.
I know that I have to use the "change range node" between the image and the displacement port of the material and set the displace geometry approx. to "Fine" and play with the settings.
So my questions are:
1. Is there a way to calculate the exact ranges for the "change range node" for the map or is this gueswork?
2. In the geometry approximation what kind of settings are normaly appropriate in terms of mixing rendering speed and highlevel detail (look).
3. I exportet a normal map and pluged it with standart settings to the bump port of the material but the light seems to be inverted. How can I solve this?
In solidworks, if I have several similar parts to draw, I can draw one part and annotate it and then to save time and effort I can save the drawing as one of the other parts and then change the part reference in the drawing as I open it up.
We are sometimes faced with the problem that we would like change the coordinate system of the model and have the drawing update it with the new orientation of the part without the need to place every annotation again. This is mostly for legacy parts and assemblies which are not modeled correct according to the coordinate system of the machine.
The following sample code does not work, is this by design or is there an error in the code?
Public Sub RotateFirstView() Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument Dim oDrawView As DrawingView Set oDrawView = oDrawDoc.Sheets(1).DrawingViews(1) Dim oCamera As Camera Set oCamera = oDrawView.Camera Debug.Print oCamera.ViewOrientationType = kFrontViewOrientation oCamera.ViewOrientationType = kIsoBottomLeftViewOrientation oCamera.ApplyEnd Sub
Inventor Professional 2012 SP1 (25 seats with subscription) Windows 7 64 bit Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD Quadro 4000, driver 8.17.12.9573, dual monitors SpacePilot, driver version 6.15.3 Firmware 3.12
How to change drawingnote text format in vba? such as color, font, size.
call drawingnote.text.color.setcolor (255,0,0)
seems not working.
Autodesk Inventor Professional 2014 Autodesk Product Design Suite Standard 2013 Microsoft Office 2007 & 2013 Windows 7 64bit Synergis Adept 2013 Visual Studio Express 2010
how can I change different colour in a assembly drawing. That means in a single drawing there is so many parts assembled I want to change the different parts in a different colour.